package me.km.items;

import net.minecraft.item.Item;

public class ItemKey extends ItemBase
{
    private final Item.ToolMaterial toolMaterial;
    
    public ItemKey(String name, String local, Item.ToolMaterial materialIn)
    {
        super(name, local);
        this.toolMaterial = materialIn;
        this.maxStackSize = 1;
    }
    
    public int getLockPickResistance()
    {
        return toolMaterial.getHarvestLevel() + 1;
    }
}
